<template>
  <v-app-bar
    id="app-bar"
    absolute
    app
    color="grey lighten-4"
    flat
    height="75"
  >
    <v-btn
      class="mr-3 white"
      elevation="1"
      fab
      small
      @click="setDrawer(!drawer)"
    >
      <v-icon v-if="user !== null">
        mdi-dots-vertical
      </v-icon>

      <v-icon v-else>
        mdi-view-quilt
      </v-icon>
    </v-btn>

    <v-toolbar-title
      v-if="user !== null"
      class="hidden-sm-and-down font-weight-light"
      v-text="$route.name"
    />
    <v-toolbar-title
      v-else
      class="text-uppercase font-weight-light"
    >
      Leave management System
    </v-toolbar-title>
    <v-spacer />
    <div class="mx-3" />
    <v-menu
      v-if="user !== null"
      bottom
      left
      offset-y
      origin="top right"
      transition="scale-transition"
    >
      <template v-slot:activator="{ attrs, on }">
        <v-btn
          class="ml-2"
          min-width="0"
          text
          v-bind="attrs"
          v-on="on"
        >
         <v-icon>mdi-account</v-icon>
        </v-btn>
      </template>
      <v-card
        class="mx-auto pt-5"
        width="300"
        tile
      >
      <v-list
        justify="center"
        class="text-center justify-center"
      >
        <v-list-item class="justify-center">
          <v-list-item-avatar>
            <v-img src="@/assets/profile.jpg"></v-img>
          </v-list-item-avatar>
        </v-list-item>

        <v-list-item>
          <v-list-item-content>
            <v-list-item-title class="title">{{ user.displayName }}</v-list-item-title>
            <v-list-item-subtitle>{{ user.email }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <v-divider></v-divider>
      <v-list>
        <v-list-item class="ma-5" @click="signOut">
          <v-list-item-icon>
            <v-icon class="red--text">mdi-logout</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title class="red--text">Logout</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      </v-card>
    </v-menu>
  </v-app-bar>
</template>

<script>
import { mapGetters, mapState, mapMutations } from 'vuex';

export default {
  name: 'DashboardCoreAppBar',
  components: {
  },
  props: {
    value: {
      type: Boolean,
      default: false,
    },
  },
  data: () => ({
    items: [
      { title: 'SIGN IN', icon: 'mdi-face', router: 'Signin' },
    ],
  }),
  computed: {
    ...mapState(['drawer']),
    ...mapGetters({
      user: 'getUser',
      userid: 'getUserid',
    }),
  },
  methods: {
    ...mapMutations({
      setDrawer: 'SET_DRAWER',
    }),
    signOut() {
      this.$emit('signOut');
    },
  },
};
</script>
